# guestbook
A CLI based guestbook. Orignally made for https://tilde.club/~aboutdavid/guestbook.txt

### Setup:
```bash
# Change your directory into yours.
cd ~

# Choose any filename for the guestbook. Make sure you chmod it so only you can modify it. 
touch ./public_html/guestbook.txt

# Launch your favorite editor to modify the script.
$EDITOR ./guestbook

# Modify the following in the guestbook script

# The path to the guestbook file you just created 
# PATH_TO_GUESTBOOK="/home/aboutdavid/public_html/guestbook.txt"

# The path to the guestbook SCRIPT not file.
# PATH_TO_SCRIPT="/home/aboutdavid/guestbook"

# HTTP(S) URL of the guestbook file
# URL="https://tilde.club/~aboutdavid/guestbook.txt"

# Set the timezone.
# TIMEZONE="EST"

# The following command will allow people to run the script and allow the script to access the directory.
chmod 701 ./guestbook
chmod u+s ./guestbook
```
